<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__wifi__fw__section_8h" kind="file" language="C++">
    <compoundname>cy_wifi_fw_section.h</compoundname>
    <briefdescription>
<para>Determines the start and end of the region the WiFi firmware is stored in. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="copyright"><para>Copyright 2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="25"><highlight class="preprocessor">#ifndef<sp />CY_WIFI_FW_SECTION_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_WIFI_FW_SECTION_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_STORAGE_WIFI_DATA_OUTPUT)</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_utils.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__ARMCC_VERSION)</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SECTION_BASE_SYMBOL_BASE(SECTION)<sp />Image$$<sp />##<sp />SECTION<sp />##<sp />$$Base</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SECTION_BASE_SYMBOL(SECTION)<sp />CY_SECTION_BASE_SYMBOL_BASE(SECTION)</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />CY_SECTION_BASE_SYMBOL(CY_STORAGE_WIFI_DATA_OUTPUT);</highlight></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_WIFI_FW_SECTION_START<sp />(&amp;CY_SECTION_BASE_SYMBOL(CY_STORAGE_WIFI_DATA_OUTPUT))</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SECTION_LIMIT_SYMBOL_BASE(SECTION)<sp />Image$$<sp />##<sp />SECTION<sp />##<sp />$$Limit</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SECTION_LIMIT_SYMBOL(SECTION)<sp />CY_SECTION_LIMIT_SYMBOL_BASE(SECTION)</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />CY_SECTION_LIMIT_SYMBOL(CY_STORAGE_WIFI_DATA_OUTPUT);</highlight></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_WIFI_FW_SECTION_END<sp />(&amp;CY_SECTION_LIMIT_SYMBOL(CY_STORAGE_WIFI_DATA_OUTPUT))</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(__GNUC__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /><highlight class="comment">//<sp />Must<sp />define<sp />__&lt;Output<sp />Section<sp />Name&gt;_start<sp />and<sp />__&lt;Output<sp />Section<sp />Name&gt;_end<sp />in<sp />the<sp />linker<sp />script</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SECTION_START_SYMBOL_BASE(SECTION)<sp />__<sp />##<sp />SECTION<sp />##<sp />_start</highlight><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SECTION_START_SYMBOL(SECTION)<sp />CY_SECTION_START_SYMBOL_BASE(SECTION)</highlight><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />CY_SECTION_START_SYMBOL(CY_STORAGE_WIFI_DATA_OUTPUT);</highlight></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_WIFI_FW_SECTION_START<sp />(&amp;CY_SECTION_START_SYMBOL(CY_STORAGE_WIFI_DATA_OUTPUT))</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SECTION_END_SYMBOL_BASE(SECTION)<sp />__<sp />##<sp />SECTION<sp />##<sp />_end</highlight><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SECTION_END_SYMBOL(SECTION)<sp />CY_SECTION_END_SYMBOL_BASE(SECTION)</highlight><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />CY_SECTION_END_SYMBOL(CY_STORAGE_WIFI_DATA_OUTPUT);</highlight></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_WIFI_FW_SECTION_END<sp />(&amp;CY_SECTION_END_SYMBOL(CY_STORAGE_WIFI_DATA_OUTPUT))</highlight><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(__ICCARM__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_DECLARE_SECTION_BASE(SECTION)<sp />CY_PRAGMA(section<sp />=<sp />#SECTION)</highlight><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_DECLARE_SECTION(SECTION)<sp />CY_DECLARE_SECTION_BASE(SECTION)</highlight><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal">CY_DECLARE_SECTION(CY_STORAGE_WIFI_DATA_OUTPUT)</highlight></codeline>
<codeline lineno="63"><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SECTION_BEGIN_SYMBOL_BASE(SECTION)<sp />__section_begin(#SECTION)</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SECTION_BEGIN_SYMBOL(SECTION)<sp />CY_SECTION_BEGIN_SYMBOL_BASE(SECTION)</highlight><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_WIFI_FW_SECTION_START<sp />(CY_SECTION_BEGIN_SYMBOL(CY_STORAGE_WIFI_DATA_OUTPUT))</highlight><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SECTION_END_SYMBOL_BASE(SECTION)<sp />__section_end(#SECTION)</highlight><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SECTION_END_SYMBOL(SECTION)<sp />CY_SECTION_END_SYMBOL_BASE(SECTION)</highlight><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_WIFI_FW_SECTION_END<sp />(CY_SECTION_END_SYMBOL(CY_STORAGE_WIFI_DATA_OUTPUT))</highlight><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="preprocessor">#error<sp />"An<sp />unsupported<sp />toolchain"</highlight><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined(__ARMCC_VERSION)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined(CY_STORAGE_WIFI_DATA_OUTPUT)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_WIFI_FW_SECTION_H<sp />*/</highlight><highlight class="preprocessor" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_WHD_GLUE/whd-bsp-integration/cy_wifi_fw_section.h" />
  </compounddef>
</doxygen>